Package org.eclipse.ecf.provider.r_osgi.identity

## Class R_OSGiWSID

- java.lang.Object
- - org.eclipse.ecf.core.identity.BaseID
  - - org.eclipse.ecf.provider.r_osgi.identity.R_OSGiID
    - - org.eclipse.ecf.provider.r_osgi.identity.R_OSGiWSID

All Implemented Interfaces:
  `Serializable`, `Comparable`, `Principal`, `org.eclipse.core.runtime.IAdaptable`, `ID`

    public class R_OSGiWSID
    extends R_OSGiID

Since:
  3.5
See Also:
  Serialized Form

### Field Summary

Fields
`static int` `HTTP_PORT`
`static int` `HTTPS_PORT`

### Fields inherited from class org.eclipse.ecf.core.identity.BaseID

`namespace`

### Constructor Summary

Constructors
`R_OSGiWSID​(boolean secure, String hostname, int port)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ch.ethz.iks.r_osgi.URI` `getURI()` get the internal URI.
`protected int` `namespaceCompareTo​(BaseID id)` compare in the context of the namespace.
`protected boolean` `namespaceEquals​(BaseID id)` check for equality in the context of the namespace.
`protected String` `namespaceGetName()` get the name.
`protected int` `namespaceHashCode()` get the hash code.
`String` `toExternalForm()` Get this ID instance in String form.
`String` `toString()` get a string representation.

### Methods inherited from class org.eclipse.ecf.core.identity.BaseID

`compareTo, equals, getAdapter, getName, getNamespace, hashCode, namespaceToExternalForm`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.security.Principal

`implies`

### Field Detail

#### HTTPS_PORT

    public static final int HTTPS_PORT

See Also:
  Constant Field Values

#### HTTP_PORT

    public static final int HTTP_PORT

See Also:
  Constant Field Values

### Constructor Detail

#### R_OSGiWSID

    public R_OSGiWSID​(boolean secure,
                      String hostname,
                      int port)

### Method Detail

#### namespaceCompareTo

    protected int namespaceCompareTo​(BaseID id)

compare in the context of the namespace.

Overrides:
  `namespaceCompareTo` in class `R_OSGiID`
Parameters:
  `id` - another `BaseID` to compare to.
Returns:
  -1 if smaller, 1 if larger, and 0 for equality.
See Also:
  `BaseID.namespaceCompareTo(org.eclipse.ecf.core.identity.BaseID)`

#### namespaceEquals

    protected boolean namespaceEquals​(BaseID id)

check for equality in the context of the namespace.

Overrides:
  `namespaceEquals` in class `R_OSGiID`
Parameters:
  `id` - another `BaseID` to check with.
Returns:
  `true` iff the two IDs are equal within the given namespace.
See Also:
  `BaseID.namespaceEquals(org.eclipse.ecf.core.identity.BaseID)`

#### getURI

    public ch.ethz.iks.r_osgi.URI getURI()

get the internal URI.

Overrides:
  `getURI` in class `R_OSGiID`
Returns:
  the internal R-OSGi URI.

#### namespaceGetName

    protected String namespaceGetName()

get the name.

Overrides:
  `namespaceGetName` in class `R_OSGiID`
Returns:
  the name as a String.

#### namespaceHashCode

    protected int namespaceHashCode()

get the hash code.

Overrides:
  `namespaceHashCode` in class `R_OSGiID`
Returns:
  the hash code.

#### toString

    public String toString()

get a string representation.

Specified by:
  `toString` in interface `Principal`
Overrides:
  `toString` in class `R_OSGiID`
See Also:
  `Object.toString()`

#### toExternalForm

    public String toExternalForm()

Description copied from interface: `ID`
Get this ID instance in String form. Will not return null.

Specified by:
  `toExternalForm` in interface `ID`
Overrides:
  `toExternalForm` in class `R_OSGiID`
Returns:
  String that is external representation of this ID
Since:
  3.0
See Also:
  `ID.toExternalForm()`